package cn.cecep.talroad.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author hehongyu
 * @description: 执行报告类型
 * @date 2023/8/6 19:42
 */
@Getter
@AllArgsConstructor
public enum EmlTypeEnums {
    YEAR("1","年报","Y"),
    QUARTER("2","季报","S"),
    MONTH("3","月报","M"),
    DAY("4","日报","D"),

    ;


    private final String code;
    private final String name;
    private final String simple;

    public static EmlTypeEnums getEnumByCode(String type){
        for (EmlTypeEnums value : values()) {
            if (value.getCode().equals(type)){
                return value;
            }
        }
        return null;
    }
}
